Subject: Re: [dhcwg] Authentication for Information-request

From: JINMEI Tatuya / 神明達哉<[email-masked]>
Date: Sat, 06 Nov 2004 01:02:08 +0900

>>>>> On Thu, 09 Sep 2004 14:28:40 +0900, 
>>>>> Mayumi Yanagiya <[email-masked]> said:

> I have a question about transmitting Information-request message.

> In RFC3115, it is not specified clearly that solicit/advertise messages
> are exchanged between client and server before exchanging
> Information-request/reply message.
> On the other hand, it is defined that the client requests
> authentication in its Solicit message.

> So, I think that solicit/advertise messaged are exchanged before sending
> information-request when clients want to use authentication for
> information-request.
> Is my understanding right?

> (I know that Jinmei-san submitted “Clarifications on DHCPv6
> Authentication”. But I couldn't find any discussion for above issue on
> this mailing list.)

I don't know much about the past discussion, but when I asked a
similar question, no one had an answer with confidence.  So I tried to
propose a clarification on this so that the client does not have to
exchange Solicit/Advertise before using DHCPv6 authentication for
Information-request/Reply exchanges.  (It's just my personal
proposal.  I don't know if others agree with this.)

See Section 2 of
draft-ietf-dhc-dhcpv6-clarify-auth-00.txt
for more details.

					JINMEI, Tatuya
					Communication Platform Lab.
					Corporate R&D Center, Toshiba Corp.
					[email-masked]

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg